hawq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex (Oleksandr) Diachenko" <odiache...@pivotal.io>
Subject Re: [DISCUSS] Switch HAWQ to Java 8
Date Tue, 07 Feb 2017 02:54:22 GMT
Ruilong,

Yes, I was also able to build HAWQ using Java 8.

Regards, Alex.

On Mon, Feb 6, 2017 at 6:04 PM, Ruilong Huo <rhuo@pivotal.io> wrote:

> Hi Alex,
>
> Did you get a chance to build hawq with java 8 along with pxf?
>
> Best regards,
> Ruilong Huo
>
> On Tue, Feb 7, 2017 at 9:47 AM, Alex (Oleksandr) Diachenko <
> odiachenko@pivotal.io> wrote:
>
> > Hi Ruilong,
> >
> > I was able to compile PXF using Java 8, and did run basic functional
> tests.
> >
> > Regards, Alex.
> >
> > On Fri, Feb 3, 2017 at 1:07 PM, Vineet Goel <vvineet@apache.org> wrote:
> >
> > > HAWQ PXF already supports Java 8. There were some Javadocs warnings
> that
> > > Alex fixed recently: https://issues.apache.org/jira/browse/HAWQ-1308
> > >
> > > I believe we will need to do PL/Java changes at some point:
> > > https://issues.apache.org/jira/browse/HAWQ-935 (PL/java support for
> jdk
> > > 1.8)
> > >
> > > Are there other Java dependencies inside HAWQ that would need work?
> > >
> > >
> > > On Thu, Feb 2, 2017 at 10:35 PM Ruilong Huo <rhuo@pivotal.io> wrote:
> > >
> > > > Hi Alex,
> > > >
> > > > It support java 7 and 8 in apache hadoop 2.7.x while it only support
> > > java 8
> > > > in hadoop 3.x.
> > > > It is great to do a certification with java 8 in hawq since: 1) hawq
> > > > support hadoop 2.7.x; and 2) java 7 and 8 is forward compatible.
> > > >
> > > > The component might be impacted is pxf, pl/java, etc. Is there
> anything
> > > you
> > > > have done with java 8 in hawq? Thanks.
> > > >
> > > >
> > > > Best regards,
> > > > Ruilong Huo
> > > >
> > > > On Thu, Feb 2, 2017 at 9:14 AM, Alex (Oleksandr) Diachenko <
> > > > odiachenko@pivotal.io> wrote:
> > > >
> > > > > Hi all,
> > > > >
> > > > > I noticed that
> > > > > https://cwiki.apache.org/confluence/display/HAWQ/Build+and+Install
> > > > > mentions
> > > > > Open JDK7 dependency for Red Hat/CentOS 7.X.
> > > > >
> > > > > According to Oracle, they announced End of Public Updates for Java
> 7
> > on
> > > > Apr
> > > > > 2015 -  http://www.oracle.com/technetwork/java/javase/eol-
> > 135779.html.
> > > > >
> > > > > I think we should switch to Java 8 and update wiki accordingly. Any
> > > > > thoughts?
> > > > >
> > > > > Regards, Alex.
> > > > >
> > > >
> > >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message